﻿using System;
using System.Collections.Generic;
using System.Text;

namespace TaskManager.Core
{
    static class PriorityFactorFactory
    {
        /// <summary>
        /// 生产一个 PriorityFactor。
        /// </summary>
        /// <param name="factorName">指定类型的完全限定名。</param>
        /// <returns>PriorityFactor 实例。</returns>
        public static PriorityFactor Create(string factorName)
        {
            return Activator.CreateInstance(Type.GetType(factorName)) as PriorityFactor;
        }
    }
}
