﻿using System;
using System.Collections.Generic;
using System.Text;

namespace TaskManager.DB
{
    sealed class XmlTaskListsContext
    {
        private string xmlFileName;
        private readonly static XmlTaskListsContext instance = new XmlTaskListsContext();

        public XmlTaskListsContext()
        {
            xmlFileName = "TaskLists.xml";
        }

        public static XmlTaskListsContext Instance
        {
            get { return instance; }
        }

        public string GetXmlFileName()
        {
            return xmlFileName;
        }
    }
}
