﻿using System;
using System.Collections.Generic;
using System.Text;

namespace TaskManager.Core
{
    /// <summary>
    /// 优先级决策要素--技术要求度
    /// </summary>
    [Serializable]
    public class TechFactor : PriorityFactor
    {
        public TechFactor() : base("技术要求度", 2) { v = 5; }

        /// <summary>
        /// 设置值。
        /// </summary>
        /// <param name="value">要设置的值，范围为[1,5]。</param>
        public override void SetV(int value)
        {
            this.v = 6 - value;
        }

        public override int GetV()
        {
            return 6 - v;
        }
    }
}
