﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using TaskManager.Core;

namespace TaskManager.UI
{
    public partial class TaskForm : Form
    {
        private Task task;

        public Task Task
        {
            get { return task; }
        }

        public TaskForm(Task task)
        {
            InitializeComponent();
            this.task = task;

            this.txtTaskName.Text = task.Name;
            this.numImp.Value = task.Factors["imp"].GetV();
            this.numUrg.Value = task.Factors["urg"].GetV();
            this.numTim.Value = task.Factors["tim"].GetV();
            this.numRes.Value = task.Factors["res"].GetV();
            this.numTec.Value = task.Factors["tec"].GetV();
        }

        public TaskForm()
        {
            InitializeComponent();
            this.task = new Task("newTask");
        }

        private void btnOk_Click(object sender, EventArgs e)
        {
            task.Name = txtTaskName.Text;
            task.Factors["imp"].SetV((int)numImp.Value);
            task.Factors["urg"].SetV((int)numUrg.Value);
            task.Factors["tim"].SetV((int)numTim.Value);
            task.Factors["res"].SetV((int)numRes.Value);
            task.Factors["tec"].SetV((int)numTec.Value);
        }
    }
}